Bug 1530398 - Envelope no longer rotated correctly for printing
Summary: Envelope no longer rotated correctly for printing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 27
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-02 22:35 UTC by Per Nystrom
Modified: 2018-11-30 20:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:43:07 UTC
Type: Bug


Attachments (Terms of Use)
Simple number 10 envelope that never prints with text matching orientation. (8.89 KB, application/vnd.oasis.opendocument.text)
2018-01-02 22:35 UTC, Per Nystrom
no flags Details
Simple number 10 envelope that prints correctly but is hard to edit (9.03 KB, application/vnd.oasis.opendocument.text)
2018-01-04 21:08 UTC, Per Nystrom
no flags Details

Description Per Nystrom 2018-01-02 22:35:59 UTC
Created attachment 1375966 [details]
Simple number 10 envelope that never prints with text matching orientation.

Description of problem:

In previous versions of Libre Office and Open Office, I could successfully print a #10 envelope in landscape mode, feed the envelope through the multi-media tray, and get correct results.

Now the text is rotated 90 degrees, as though it is printing in portrait mode.  But I cannot change the page format to portrait mode, because then the text goes the wrong way on the screen.


Version-Release number of selected component (if applicable):

# rpm -q libreoffice-core
libreoffice-core-5.4.4.2-1.fc27.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Create a page formatted with envelope (I used #10 but also tried similar sizes, and got the same result)
2. Type in some text
3. Print.

Actual results:

Text is always 90 degrees to the orientation of the envelope.

Expected results:

Text should match the orientation of the envelope.

Additional info:

This worked correctly in older versions of Libre/Open Office.

Comment 1 Per Nystrom 2018-01-04 21:08:38 UTC
Created attachment 1377187 [details]
Simple number 10 envelope that prints correctly but is hard to edit

You have to tilt your head sideways to edit this, but it prints correctly.  Not ideal, and not the way it used to work.

Comment 2 Caolan McNamara 2018-01-09 15:01:54 UTC
What happens if you use export to pdf and then try and print the resulting pdf from evince ? Does that "do the right thing" or still has the same problem ?

Comment 3 Per Nystrom 2018-01-09 15:39:54 UTC
(In reply to Caolan McNamara from comment #2)
> What happens if you use export to pdf and then try and print the resulting
> pdf from evince ? Does that "do the right thing" or still has the same
> problem ?

Hi Caolan,

Yes, if I export (or print to) PDF from Writer, then load that file in evince, print, and use the page setup tab to make sure the paper size is #10 envelope and the orientation is landscape, it works as expected.

Comment 4 Ben Cotton 2018-11-27 16:23:41 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 20:43:07 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.